import { jsx } from "react/jsx-runtime";
import { GarageIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Garage = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Garage", ...props, children: /* @__PURE__ */ jsx(GarageIcon, { weight: variant }) });
  }
);
Garage.displayName = "Garage";
Object.assign(Garage, { isGdsIcon: true });
export {
  Garage
};
